Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Sun, 14 Aug 2022 17:54:03 +0000

>> If the conclusion is, after some reasonable effort, that there is no 
>> way to make syntax-ppss significantly faster in one way or another in 
>> such cases, and that there is no way to make font locking reasonably 
>> accurate even when it doesn't have access to the whole buffer, it might 
>> make sense to provide user options to fine-tune the behavior.  But we 
>> are not there yet.
>
> Both conclusions lead to removing the applications of narrowing from 
> handle_fontified_prop.
>

I have seen no effort whatsoever to make syntax-ppss significantly faster 
in one way or another.